Bug 1937587 - Old llvm version in glxinfo
Summary: Old llvm version in glxinfo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-11 04:17 UTC by romulasry
Modified: 2021-03-27 00:16 UTC (History)
19 users (show)

Fixed In Version: mesa-21.0.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-27 00:16:53 UTC
Type: Bug


Attachments (Terms of Use)

Description romulasry 2021-03-11 04:17:27 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Very.

Steps to Reproduce:
1. glxinfo | grep LLVM
2. ???
3. Proft!

Actual results:
glxinfo | grep LLVM
    Device: AMD Radeon (TM) RX 480 Graphics (POLARIS10, DRM 3.40.0, 5.12.0-0.rc2.165.fc35.x86_64, LLVM 11.1.0) (0x67df)

Expected results:
LLVM 12.0 RC2?

Additional info:

Comment 1 Josh Stone 2021-03-11 17:18:02 UTC
Mesa will need to rebuild with llvm-12, but in the meantime it should run fine using the llvm11-libs compat package.

Comment 2 romulasry 2021-03-11 18:04:39 UTC
Shouldn't it rebuild with llvm each update?

dnf info llvm

Name         : llvm
Version      : 12.0.0
Release      : 0.5.rc2.fc35
Architecture : x86_64
Size         : 14 M
Source       : llvm-12.0.0-0.5.rc2.fc35.src.rpm
Repository   : rawhide
Summary      : The Low Level Virtual Machine
URL          : http://llvm.org
License      : NCSA
Description  : LLVM is a compiler infrastructure designed for compile-time,
             : link-time, runtime, and idle-time optimization of programs from
             : arbitrary programming languages. The compiler infrastructure
             : includes mirror sets of programming tools as well as libraries
             : with equivalent functionality.

Comment 3 Josh Stone 2021-03-11 18:50:54 UTC
They should rebuild eventually, but we add compat packages like llvm11-libs to allow that to be a more leisurely process, rather than painfully requiring everything to update in sync.

Comment 4 Pete Walter 2021-03-12 12:04:38 UTC
Mesa doesn't currently build with new llvm. See https://gitlab.freedesktop.org/mesa/mesa/-/issues/4442

Comment 5 Fedora Update System 2021-03-24 23:38:56 UTC
FEDORA-2021-fc6a2fea71 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fc6a2fea71

Comment 6 Fedora Update System 2021-03-25 01:24:39 UTC
FEDORA-2021-fc6a2fea71 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fc6a2fea71`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fc6a2fea71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 romulasry 2021-03-26 18:09:34 UTC
glxinfo in fedora rawhide says llvm 12.0.0 so this can be closed.

Comment 8 Fedora Update System 2021-03-27 00:16:53 UTC
FEDORA-2021-fc6a2fea71 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.